Skip to main content
PUT
/
api
/
v1
/
system
/
users
/
{id}
Update user
curl --request PUT \
  --url https://api.example.com/api/v1/system/users/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "password": "<string>",
  "email": "jsmith@example.com",
  "phone_number": "<string>",
  "role_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "teacher_profile": {}
}
'
{
  "email": "jsmith@example.com",
  "client": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "phone_number": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Schema-Name
string

School (tenant) identifier. Must match your account unless you have platform-wide access.

Path Parameters

id
string<uuid>
required

A UUID string identifying this User.

Body

password
string
required
Required string length: 1 - 128
email
string<email> | null
Maximum string length: 254
phone_number
string | null
Maximum string length: 20
role_ids
string<uuid>[]
teacher_profile
object

Response

200 - application/json
email
string<email> | null
Maximum string length: 254
client
string<uuid> | null
phone_number
string | null
Maximum string length: 20